Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties
Class PropertiesService

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service
              org.eclipse.gmf.runtime.common.ui.services.properties.PropertiesService

All Implemented Interfaces:
  java.util.EventListener, IPropertiesProvider, IProvider, IProviderChangeListener

public class PropertiesService
extends Service
implements IPropertiesProvider

The property service taks all property contributions from property source providers and assembles these properties into a property source object.

Nested Class Summary
`protected static class` `PropertiesService.PropertiesProviderDescriptor` A descriptor for providers defined by a configuration element.

Nested classes inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`Service.ProviderDescriptor`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`INVALID_ELEMENT_MESSAGE_PATTERN`

Method Summary
`void` `applyModifiers(IPropertiesProvider provider, ICompositePropertySource propertySource)` Apply property source modifiers appropriate for the given provider
`void` `configureModifiers(IConfigurationElement[] elements)` Configure all modifier elements.
`static PropertiesService` `getInstance()` This operation implements the logic for returning the same instance of the Singleton pattern.
`protected org.eclipse.gmf.runtime.common.ui.services.properties.PropertiesService.ModifiersService` `getModifiersService(IPropertiesProvider provider)` Retrieve an instance of the ModifierService, appropriate for the given provider.
`ICompositePropertySource` `getPropertySource(java.lang.Object object)` Return a property source for the given object
`protected Service.ProviderDescriptor` `newProviderDescriptor(IConfigurationElement element)` Creates a new provider descriptor for the specified configuration `element`.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`addProvider, clearCache, configureProviders, configureProviders, createPriorityCache, execute, executeUnique, getAllProviders, getCachingKey, getPriority, getProviders, isOptimistic, isOptimized, providerChanged, provides, provides, removeProvider`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Method Detail

### getInstance

    public static PropertiesService getInstance()

  This operation implements the logic for returning the same instance of the Singleton pattern.

  Returns:
    the singleton instance of `PropertiesService`

### getPropertySource

    public ICompositePropertySource getPropertySource(java.lang.Object object)

  Return a property source for the given object

  Specified by:
    `getPropertySource` in interface `IPropertiesProvider`
  Parameters:
    `object` - - target of the properties
  Returns:
    - properties contributed by this provider
  See Also:
    `IPropertiesProvider.getPropertySource(Object)`

### applyModifiers

    public void applyModifiers(IPropertiesProvider provider,
                               ICompositePropertySource propertySource)

  Apply property source modifiers appropriate for the given provider

  Parameters:
    `provider` - - a property provider which contributed the properties
    `propertySource` - - a property source object containing properties, contributed by the given provider

### getModifiersService

    protected org.eclipse.gmf.runtime.common.ui.services.properties.PropertiesService.ModifiersService getModifiersService(IPropertiesProvider provider)

  Retrieve an instance of the ModifierService, appropriate for the given provider.

  Parameters:
    `provider` - an instance of `IPropertiesProvider`
  Returns:
    an instance of the ModifierService, appropriate for the given provider.

### configureModifiers

    public final void configureModifiers(IConfigurationElement[] elements)

  Configure all modifier elements.

  Parameters:
    `elements` - - modifier configuration elements

### newProviderDescriptor

    protected Service.ProviderDescriptor newProviderDescriptor(IConfigurationElement element)

  Description copied from class: `Service`
  Creates a new provider descriptor for the specified configuration `element`.

  Overrides:
    `newProviderDescriptor` in class `Service`
  Parameters:
    `element` - The configuration element from which to create the descriptor.
  Returns:
    A new provider descriptor.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.